| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Strat::RepositoryAccess Class Reference
Strat

Repository of all stratigraphic descriptions defining the building blocks of subsurface descriptions. More...

`#include <stratunitrepos.h>`

## Public Member Functions
| RepositoryAccess ()
| ~RepositoryAccess ()
bool | haveTree () const
uiString | lastMsg () const
Repos::Source | lastSource () const
RefTree * | read (const MultiID &)
RefTree * | readTree ()
| Read the 'best' tree.
RefTree * | readTree (Repos::Source)
bool | write (const RefTree &, const MultiID &)
bool | writeTree (const RefTree &, Repos::Source src=Repos::Survey)

## Static Public Member Functions
static const char * | fileNameBase ()

## Protected Member Functions
RefTree * | readFromFile (const char *)
bool | writeToFile (const RefTree &, const char *)

## Protected Attributes
uiString | msg_
Repos::Source | src_

## Detailed Description

Repository of all stratigraphic descriptions defining the building blocks of subsurface descriptions.

<>

## Constructor & Destructor Documentation

## ◆ RepositoryAccess()

Strat::RepositoryAccess::RepositoryAccess | ( |  | ) |

## ◆ ~RepositoryAccess()

Strat::RepositoryAccess::~RepositoryAccess | ( |  | ) |

## Member Function Documentation

## ◆ fileNameBase()

static const char * Strat::RepositoryAccess::fileNameBase | ( |  | ) |
| static

## ◆ haveTree()

bool Strat::RepositoryAccess::haveTree | ( |  | ) | const

## ◆ lastMsg()

uiString Strat::RepositoryAccess::lastMsg | ( |  | ) | const
| inline

## ◆ lastSource()

Repos::Source Strat::RepositoryAccess::lastSource | ( |  | ) | const
| inline

## ◆ read()

RefTree * Strat::RepositoryAccess::read | ( | const MultiID & |  | ) |

## ◆ readFromFile()

RefTree * Strat::RepositoryAccess::readFromFile | ( | const char * |  | ) |
| protected

## ◆ readTree() [1/2]

RefTree * Strat::RepositoryAccess::readTree | ( |  | ) |

Read the 'best' tree.

## ◆ readTree() [2/2]

RefTree * Strat::RepositoryAccess::readTree | ( | Repos::Source |  | ) |

## ◆ write()

bool Strat::RepositoryAccess::write | ( | const RefTree & | ,
|  | const MultiID & | )

## ◆ writeToFile()

bool Strat::RepositoryAccess::writeToFile | ( | const RefTree & | ,
|  | const char * | )
| protected

## ◆ writeTree()

bool Strat::RepositoryAccess::writeTree | ( | const RefTree & | ,
|  | Repos::Source | src = Repos::Survey )

## Member Data Documentation

## ◆ msg_

uiString Strat::RepositoryAccess::msg_
| mutable protected

## ◆ src_

Repos::Source Strat::RepositoryAccess::src_
| mutable protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025